# cfdns

Sample Ansible role to create CloudFlare DNS records

## Requirements

1) See `roles/create-records/vars/sample.yml` for sample DNS zone entry definitions -- change these as desired  

To add a domain, define it in the `domains` list in `play.yml`.  This will load the correlating file at `roles/create-records/vars/{{domain}}.yml`.  

The symbolic link `./domains` was provided to make these files more accessible, not used for function -- can be removed.  

_TODO_: Load files created here dynamically  

2) Your CloudFlare email address and API key must be stored in `~/.cloudflare.yml` like so for authentication:  
```
---
cf_email: you@domain.com
cf_token: abcdef123456
```
If this is a shared system, `chmod -v 0600 ~/.cloudflare.yml` once created to avoid potentially leaking credentials.
